## ros-kinetic-rqt-rosmon 2.2.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(rqt_rosmon)

find_package(catkin REQUIRED COMPONENTS
	roscpp
	pluginlib
	rosmon_msgs
	rqt_gui
	rqt_gui_cpp
)

catkin_package()
include_directories(${catkin_INCLUDE_DIRS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror")

if(${pluginlib_VERSION} VERSION_GREATER 1.11.1)
	message(STATUS "using new pluginlib headers with .hpp extensions")
	add_definitions(-DHAVE_PLUGINLIB_NEW_HEADERS=1)
endif()

# Decide on a Qt version
if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
	set(USE_QT5 true)
else()
	set(USE_QT5 false)
endif()

# Find Qt
if(USE_QT5)
	find_package(Qt5Widgets REQUIRED)
	set(QT_FOUND ${Qt5Widgets_FOUND})
	set(QT_LIBRARIES ${Qt5Widgets_LIBRARIES})
else()
	find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
	include(${QT_USE_FILE})
endif()

if(NOT QT_FOUND)
	message(FATAL_ERROR "Could not find Qt!")
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(UI_FILES
	src/mon_gui.ui
)
set(H_FILES
	src/mon_gui.h
	src/node_model.h
	src/rosmon_model.h
)

if(USE_QT5)
	qt5_wrap_ui(UIC_FILES ${UI_FILES})
	qt5_wrap_cpp(MOC_FILES ${H_FILES})
else()
	qt4_wrap_ui(UIC_FILES ${UI_FILES})
	qt4_wrap_cpp(MOC_FILES ${H_FILES})
endif()

add_library(rqt_rosmon
	${UIC_FILES}
	${MOC_FILES}
	src/bar_delegate.cpp
	src/format_data_size.cpp
	src/mon_gui.cpp
	src/node_model.cpp
	src/rosmon_model.cpp
)
target_link_libraries(rqt_rosmon
	${catkin_LIBRARIES}
	${rqt_gui_cpp_LIBRARIES}
	${QT_LIBRARIES}
)

add_dependencies(rqt_rosmon ${catkin_EXPORTED_TARGETS})

install(TARGETS rqt_rosmon
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES rqt_plugin.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_rosmon
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-rosmon (2.2.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-kinetic-rqt-rosmon (2.2.0-1xenial) xenial; urgency=high

  * rqt_rosmon: use std::sort() instead of qSort()
    qSort() is deprecated in newer Qt versions.
  * rqt_rosmon: node_model: fix dataChanged() column indices
    Column indices are end-inclusive, so we should give COL_COUNT-1. This
    fixes an issue where the table view would not update on new data.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-kinetic-rqt-rosmon (2.1.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-rqt-rosmon (2.1.0-1xenial) xenial; urgency=high

  * handle namespaces in service calls correctly, PR #80
  * show node namespaces, PR #78
  * add dependencies for catkin_make builds, PR #75
  * Contributors: Artur Miller, Adrien BARRAL, David Walsh, Eric Fang, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-kinetic-rqt-rosmon (2.0.2-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-kinetic-rqt-rosmon (2.0.1-1xenial) xenial; urgency=high

  * rqt_rosmon: declare pluginlib dependency in package.xml
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-kinetic-rqt-rosmon (2.0.0-1xenial) xenial; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.10-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.9-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.8-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.7-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.6-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.5-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.4-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 23 May 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.3-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 04 May 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.2-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 23 Apr 2018 22:00:00 -0000

ros-kinetic-rqt-rosmon (1.0.1-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 16:55:00 -0000

ros-kinetic-rqt-rosmon (1.0.0-1xenial) xenial; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 10:15:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-rosmon
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-kinetic-catkin, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rosmon-msgs, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-rosmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rosmon-msgs, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-cpp
Description: rqt GUI for rosmon, the node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-rosmon//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
